## Name

packDouble2x32 — create a double-precision value from a pair of unsigned integers

## Declaration

`double packDouble2x32(` | uvec2 v`)`;

## Parameters

`v`

  Specifies a vector of two unsigned integers to be packed into a single double-precision result.

## Description

`packDouble2x32` packs the component of parameter `v` into a 64-bit value. If an IEEE-754 infinity or NaN is created, it will not signal and the resulting floating-point value is undefined. Otherwise, the bit-level representation of `v` is preserved. The first vector component (`v[0]`) specifies the 32 least significant bits of the result; the second component (`v[1]`) specifies the 32 most significant bits.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
packDouble2x32 | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

unpackDouble2x32

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.